[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: How to force an update if package names changed?

Am Sonntag, den 20.02.2005, 11:02 +0100 schrieb Goswin von Brederlow:
> Hendrik Frenzel <hfrenzel@scunc.net> writes:

> > If I have a source pack-1.1 from which some packages including
> > pack-gui-lang-de-1.1_2 (Provides: pack-gui-lang) are build.
> >
> > Now i want to build the languages in seperade packages say
> > pack-lang-de-1.1. How can it be done to force an update between the
> > package from the main source (pack-gui-lang-de-1.1_2) to the package
> > from the seperated lang source (pack-lang-de-1.1_?)?
> >
> > Provides: pack-gui-lang-de, pack-gui-lang
> > Conflicts: pack-gui-lang-de
> You forgot Replaces as suggested in policy.

Already done. Ive forgotten to write it here.

> Create a dummy package for the old one that Depends on the new and add
> a versioned Conflict to the old one.

My next idea was something like this, but I didn't try it already.
Thanks for the hint.


I am chaos.
I am the substance from which your artists and scientists build rhythms.
I am the spirit with which your children an clowns laugh in happy anarchy.
I am chaoss. I am alive and tell you, that you are free.
                           - Eris, Goddess of Chaos, Discord and Confusion

Attachment: signature.asc
Description: Dies ist ein digital signierter Nachrichtenteil

Reply to: